Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.server
Class SimpleRequestProcessor

    java.lang.Object
      com.google.web.bindery.requestfactory.server.SimpleRequestProcessor

    public class SimpleRequestProcessor

extends java.lang.Object

Processes request payloads from a RequestFactory client. This implementation is stateless. A single instance may be reused and is thread-safe.

Constructor Summary
`SimpleRequestProcessor(ServiceLayer serviceLayer)`

Method Summary
`java.lang.String` | `process(java.lang.String payload)` Process a payload sent by a RequestFactory client.
`void` | `setExceptionHandler(ExceptionHandler exceptionHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRequestProcessor

    public SimpleRequestProcessor(ServiceLayer serviceLayer)

Method Detail

### process

    public java.lang.String process(java.lang.String payload)

  Process a payload sent by a RequestFactory client.

  Parameters:
    `payload` - the payload sent by the client
  Returns:
    a payload to return to the client

### setExceptionHandler

    public void setExceptionHandler(ExceptionHandler exceptionHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD